MLD6QUERY(8)

NAME
mld6query - send multicast listener query

SYNOPSIS
mld6query [-D delay] [-dr] intface [maddr]

DESCRIPTION
mld6query sends an IPv6 multicast listener discovery (MLD) query packet toward the specified multicast address, maddr, toward interface intface. If you omit maddr, linklocal all nodes multicast address(ff02::1) is used. The maximum response delay field is set to 1000 as specified in the standard, but a different value can be specified by the argument of the -D option.

After sending a query, mld6query waits for replies for the period in the maximum response delay field. If a reply is returned, mld6query prints it with its type and then waits for another reply.

This program is provided only for debugging. It is not necessary for normal use.

With -d, mld6query will transmit MLD done packet instead of MLD query packet. With -r, similarly, MLD report packet will be transmitted. -dr options are for debugging purposes only.

RETURN VALUES
The program exits with 0 on success, non-zero on failures.

HISTORY
The mld6query command first appeared in WIDE/KAME IPv6 protocol stack kit.